MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions

# src/ape.h File Reference

`#include "check.h"`
`#include <stdbool.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Typedefs
typedef bool(* | tag_ape_callback_t )(unsigned long flags, const char *key, const char *value, size_t value_length, void *ctx)
## Functions
bool | tag_ape_scan (const char *path_fs, tag_ape_callback_t callback, void *ctx)
| Scans the APE tag values from a file.

## Typedef Documentation

typedef bool(* tag_ape_callback_t)(unsigned long flags, const char *key, const char *value, size_t value_length, void *ctx)

Definition at line 28 of file ape.h.

## Function Documentation

bool tag_ape_scan | ( | const char * | path_fs,
|  | tag_ape_callback_t | callback,
|  | void * | ctx
| ) |  |

Scans the APE tag values from a file.

Parameters:

  path_fs | the path of the file in filesystem encoding

Returns:
  false if the file could not be opened or if no APE tag is present